ompi/mca/pml/teg/pml_teg_recvfrag.c File Reference.TH "ompi/mca/pml/teg/pml_teg_recvfrag.c" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
ompi/mca/pml/teg/pml_teg_recvfrag.c \- 
.SH SYNOPSIS
.br
.PP
\fC#include 'ompi_config.h'\fP
.br
\fC#include 'mca/pml/pml.h'\fP
.br
\fC#include 'pml_teg_recvfrag.h'\fP
.br
\fC#include 'pml_teg_proc.h'\fP
.br

.SS "Functions"

.in +1c
.ti -1c
.RI "bool \fBmca_pml_teg_recv_frag_match\fP (\fBmca_ptl_base_module_t\fP *ptl, \fBmca_ptl_base_recv_frag_t\fP *frag, \fBmca_ptl_base_match_header_t\fP *header)"
.br
.RI "\fICalled by the PTL to match attempt a match for new fragments. \fP"
.in -1c
.SS "Variables"

.in +1c
.ti -1c
.RI "OMPI_DECLSPEC \fBopal_class_t\fP \fBmca_ptl_base_recv_frag_t_class\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 

.SH "Function Documentation"
.PP 
.SS "bool mca_pml_teg_recv_frag_match (\fBmca_ptl_base_module_t\fP * ptl, \fBmca_ptl_base_recv_frag_t\fP * frag, \fBmca_ptl_base_match_header_t\fP * header)"
.PP
Called by the PTL to match attempt a match for new fragments. 
.PP
\fBParameters:\fP
.RS 4
\fIptl\fP (IN) The PTL pointer 
.br
\fIfrag\fP (IN) Receive fragment descriptor. 
.br
\fIheader\fP (IN) Header corresponding to the receive fragment. 
.RE
.PP
\fBReturns:\fP
.RS 4
OMPI_SUCCESS or error status on failure. 
.RE
.PP

.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
